<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Raspi extends CI_Controller {


	public function index()
	{
		echo "Index Raspi.php";
	}

	public function getinsert(){
		$this->load->model('m_belajar');
		if (isset($_GET['data'])) {
			//echo "OK";
			$data = $this->input->get('data');

			$dataRaspi = array('data' => $data, 'waktu' => time());

			if($this->m_belajar->saveRaspi($dataRaspi)){
				echo "BERHASIL";
			}else{
				echo "ERROR";
			}
		}else{
			echo "Variabel data tidak terdefinisi";
		}
	}

	public function postinsert(){
		$this->load->model('m_belajar');
		if (isset($_POST['data'])) {
			//echo "OK";
			$data = $this->input->post('data');

			$dataRaspi = array('data' => $data, 'waktu' => time());

			if($this->m_belajar->saveRaspi($dataRaspi)){
				echo "BERHASIL";
			}else{
				echo "ERROR";
			}
		}else{
			echo "Variabel data tidak terdefinisi";
		}
	}

	public function show(){
		date_default_timezone_set("Asia/Jakarta");
		$this->load->model('m_belajar');

		$data['raspi'] = $this->m_belajar->ambildataRaspi();

		$this->load->view('view_raspi', $data);
	}

	public function simpangambar(){
		$this->load->model('m_belajar');
		if (isset($_POST['gambar'])) {
			if ($_POST['gambar'] == "save") {
				$type = explode('.', $_FILES["image"]["name"]);
				$type = strtolower($type[count($type)-1]);
				$imgname = uniqid(rand()).'.'.$type;
				$url = "simpanan/".$imgname;
				if(in_array($type, array("jpg", "jpeg", "gif", "png"))){
					if(is_uploaded_file($_FILES["image"]["tmp_name"])){
						if(move_uploaded_file($_FILES["image"]["tmp_name"],$url)){
							$data = array(
					                'waktu'    => time(),
					                'gambar'  => $imgname,
					        );
							if($this->m_belajar->savegambar($data)){
								$pesan = array('notif' => 'success simpan gambar', 'flag' => 'true' );
								echo json_encode($pesan);
							}else{
								$pesan = array('notif' => 'success simpan gambar', 'flag' => 'false' );
								echo json_encode($pesan);
							}
						}
					}
				}else{
					$pesan = array('notif' => 'gagal simpan gambar, salah extensi', 'flag' => 'false' );
					echo json_encode($pesan);
				}
			} else{
				$pesan = array('notif' => 'salah nilai', 'flag' => 'false' );
				echo json_encode($pesan);
			}
		} else{
			$pesan = array('notif' => 'salah parameter', 'flag' => 'false'  );
			echo json_encode($pesan);
		}
	}

	public function showgambar(){
		date_default_timezone_set("Asia/Jakarta");
		$this->load->model('m_belajar');

		$data['gambar'] = $this->m_belajar->ambildataGambar();

		$this->load->view('view_gambar', $data);
	}
}
